Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2019-03-25 18:042019-05-21 15:16
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionff01c2b4f10e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040449: 'Show audit trail' manual window has performance problems in environments with many business partners

Description'Show audit trail' manual window has performance problems in environments with many business partners. It takes too long in load data and sometimes it causes the browser to be locked
Steps To Reproduce* Ask environment to support

- Open 'Business partner' window
- Open 'Show audit trail' window (press the feet button in the toolbar)
- When trying to select a record from the "User" drop-down takes 12 seconds to respond and may cause performance problems on the browser.

AD_USER table has 139899 records
AD_AUDIT_TRAIL table has 5 records

TagsPerformance
Attached Filespng file icon Screenshot from 2019-03-26 11-04-31.png [^] (55,427 bytes) 2019-03-26 11:14


patch file icon 40449.patch [^] (10,490 bytes) 2019-03-27 17:48 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0040479 acknowledgedplatform Reimplement Audit Trail popup with 3.0 technology 
related to defect 0044265 closedcberner Grid timeout is not working on the popup for audit trail 

-  Notes
(0110978)
hgbot (developer)
2019-04-03 18:56

Repository: erp/devel/pi
Changeset: ff01c2b4f10e90ae8803119c4e847cddd7513be4
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Mar 27 13:49:32 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ff01c2b4f10e90ae8803119c4e847cddd7513be4 [^]

Fixed issue 40449: Performance problems in Show Audit Trail popup.

Added a new preference 'ShowAuditTrailUserFilter' that, when its set to 'N',
will hide the User selector in audit trail filter fields. In case the number
of users available are really high, this will prevent to load all of them and
thus improving popup performance.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopup.java
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupDeleted.html
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupHistory.html
---
(0110979)
jarmendariz (developer)
2019-04-03 19:13

Documented the new preference in the wiki:
http://wiki.openbravo.com/wiki/Audit_Trail#Disable_filtering_by_User [^]
(0110988)
alostale (developer)
2019-04-05 09:10

code reviewed + tested
(0111960)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-25 18:04 JONHM New Issue
2019-03-25 18:04 JONHM Assigned To => Triage Finance
2019-03-25 18:04 JONHM Modules => Core
2019-03-25 18:04 JONHM Triggers an Emergency Pack => No
2019-03-26 09:19 Sandrahuguet Assigned To Triage Finance => platform
2019-03-26 11:13 JONHM Summary 'Show audit trail' process has performance problems in environments with lots of data => 'Show audit trail' manual window has performance problems in environments with many business partners
2019-03-26 11:13 JONHM Description Updated View Revisions
2019-03-26 11:13 JONHM Steps to Reproduce Updated View Revisions
2019-03-26 11:14 JONHM File Added: Screenshot from 2019-03-26 11-04-31.png
2019-03-26 13:51 alostale Tag Attached: Performance
2019-03-27 09:34 jarmendariz Assigned To platform => jarmendariz
2019-03-27 17:48 jarmendariz Status new => scheduled
2019-03-27 17:48 jarmendariz File Added: 40449.patch
2019-03-28 14:22 jarmendariz Relationship added related to 0040479
2019-04-03 18:56 hgbot Checkin
2019-04-03 18:56 hgbot Note Added: 0110978
2019-04-03 18:56 hgbot Status scheduled => resolved
2019-04-03 18:56 hgbot Resolution open => fixed
2019-04-03 18:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ff01c2b4f10e90ae8803119c4e847cddd7513be4 [^]
2019-04-03 19:13 jarmendariz Note Added: 0110979
2019-04-04 12:35 jarmendariz Review Assigned To => alostale
2019-04-05 09:10 alostale Note Added: 0110988
2019-04-05 09:10 alostale Status resolved => closed
2019-04-05 09:10 alostale Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111960
2020-06-04 10:07 alostale Relationship added related to 0044265


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker